Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CaseTree

All Superinterfaces:
  `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface CaseTree
    extends Tree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a 'case' in a 'switch' statement. For example:

       case expression :
           statements

       default :
           statements

Since:
  9

### Nested Class Summary

### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ExpressionTree` `getExpression()` Deprecated, for removal: This API element is subject to removal in a future version. Case expression of this 'case' statement.
`List<? extends StatementTree>` `getStatements()` Deprecated, for removal: This API element is subject to removal in a future version. Return the list of statements for this 'case'.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Deprecated, for removal: This API element is subject to removal in a future version.
Case expression of this 'case' statement.

Returns:
  null if and only if this Case is `default:`

#### getStatements

    List<? extends StatementTree> getStatements()

Deprecated, for removal: This API element is subject to removal in a future version.
Return the list of statements for this 'case'.

Returns:
  list of statements for this 'case'